package com.mortals.xhx.module.design.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.util.DateUtils;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.module.customer.dao.CustomerWorkCollectDao;
import com.mortals.xhx.module.design.dao.DesignMasterplateDao;
import com.mortals.xhx.module.design.model.DesignMasterplateEntity;
import com.mortals.xhx.module.design.service.DesignMasterplateService;
import com.mortals.xhx.module.masterplate.dao.MasterplateUseInfoDao;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* DesignMasterplateService
* 模版管理 service实现
*
* @author zxfei
* @date 2022-06-08
*/
@Service("designMasterplateService")
public class DesignMasterplateServiceImpl extends AbstractCRUDServiceImpl<DesignMasterplateDao, DesignMasterplateEntity, Long> implements DesignMasterplateService {

    @Autowired
    private CustomerWorkCollectDao customerWorkCollectDao;
    @Autowired
    private MasterplateUseInfoDao masterplateUseInfoDao;

    @Override
    protected DesignMasterplateEntity findBefore(DesignMasterplateEntity entity, PageInfo pageInfo, Context context) throws AppException {
        if(StringUtils.isNotEmpty(entity.getMasterplateName())){
            entity.setMasterplateName("%".concat(entity.getMasterplateName()).concat("%"));
        }
        return entity;
    }

    @Override
    protected void findAfter(DesignMasterplateEntity entity, PageInfo pageInfo, Context context, List<DesignMasterplateEntity> list) throws AppException {
        if(CollectionUtils.isNotEmpty(list)){
            list.stream().forEach(item->{
                item.setCreateTimeStr(DateUtils.getDateTime(item.getCreateTime(),DateUtils.P_yyyy_MM_dd_HH_mm_ss));
            });
        }
    }

    @Override
    protected void removeAfter(Long[] ids, Context context, int result) throws AppException {
        Map<String,Object> condition =new HashMap<>();
        condition.put("masterplateIdList",ids);
        customerWorkCollectDao.delete(condition);
        masterplateUseInfoDao.delete(condition);
    }
}