package com.mortals.xhx.module.proposal.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.proposal.model.vo.ProposalVo;
/**
* 客户建议信息实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class ProposalEntity extends ProposalVo {
    private static final long serialVersionUID = 1L;

    /**
    * 建议内容
    */
    private String content;
    /**
    * 截图地址
    */
    private String screenshot;
    /**
    * 客户id
    */
    private Long customerId;
    /**
    * 客户名称
    */
    private String custName;
    /**
    * 回复状态备0未回复1已回复
    */
    private Integer replyStatus;
    /**
    * 回复内容
    */
    private String replyContent;
    /**
    * 回复时间
    */
    private Date replyTime;
    /**
    * 回复发送方式1站内发送2短信发送3同时发送
    */
    private Integer sendMode;
    /**
    * 回复发送状态0未发送1已发送
    */
    private Integer sendStatus;
    /**
    * 联系电话
    */
    private String contactTelphone;



    public ProposalEntity(){}
    /**
    * 获取 建议内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 建议内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 截图地址
    * @return String
    */
    public String getScreenshot(){
        return screenshot;
    }
    /**
    * 设置 截图地址
    * @param screenshot
    */
    public void setScreenshot(String screenshot){
        this.screenshot = screenshot;
    }
    /**
    * 获取 客户id
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户id
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 客户名称
    * @return String
    */
    public String getCustName(){
        return custName;
    }
    /**
    * 设置 客户名称
    * @param custName
    */
    public void setCustName(String custName){
        this.custName = custName;
    }
    /**
    * 获取 回复状态备0未回复1已回复
    * @return Integer
    */
    public Integer getReplyStatus(){
        return replyStatus;
    }
    /**
    * 设置 回复状态备0未回复1已回复
    * @param replyStatus
    */
    public void setReplyStatus(Integer replyStatus){
        this.replyStatus = replyStatus;
    }
    /**
    * 获取 回复内容
    * @return String
    */
    public String getReplyContent(){
        return replyContent;
    }
    /**
    * 设置 回复内容
    * @param replyContent
    */
    public void setReplyContent(String replyContent){
        this.replyContent = replyContent;
    }
    /**
    * 获取 回复时间
    * @return Date
    */
    public Date getReplyTime(){
        return replyTime;
    }
    /**
    * 设置 回复时间
    * @param replyTime
    */
    public void setReplyTime(Date replyTime){
        this.replyTime = replyTime;
    }
    /**
    * 获取 回复发送方式1站内发送2短信发送3同时发送
    * @return Integer
    */
    public Integer getSendMode(){
        return sendMode;
    }
    /**
    * 设置 回复发送方式1站内发送2短信发送3同时发送
    * @param sendMode
    */
    public void setSendMode(Integer sendMode){
        this.sendMode = sendMode;
    }
    /**
    * 获取 回复发送状态0未发送1已发送
    * @return Integer
    */
    public Integer getSendStatus(){
        return sendStatus;
    }
    /**
    * 设置 回复发送状态0未发送1已发送
    * @param sendStatus
    */
    public void setSendStatus(Integer sendStatus){
        this.sendStatus = sendStatus;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getContactTelphone(){
        return contactTelphone;
    }
    /**
    * 设置 联系电话
    * @param contactTelphone
    */
    public void setContactTelphone(String contactTelphone){
        this.contactTelphone = contactTelphone;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProposalEntity) {
            ProposalEntity tmp = (ProposalEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",content:").append(getContent());
        sb.append(",screenshot:").append(getScreenshot());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",custName:").append(getCustName());
        sb.append(",replyStatus:").append(getReplyStatus());
        sb.append(",replyContent:").append(getReplyContent());
        sb.append(",replyTime:").append(getReplyTime());
        sb.append(",sendMode:").append(getSendMode());
        sb.append(",sendStatus:").append(getSendStatus());
        sb.append(",contactTelphone:").append(getContactTelphone());
        return sb.toString();
    }

    public void initAttrValue(){

            this.content = "";

            this.screenshot = "";

            this.customerId = null;

            this.custName = "";

            this.replyStatus = 0;

            this.replyContent = "";

            this.replyTime = null;

            this.sendMode = null;

            this.sendStatus = null;

            this.contactTelphone = "";
    }
}